SbHeapFuncs(3)

NAME
SbHeapFuncs - The SbHeapFuncs struct is used to specify functions on heap elements.

SYNOPSIS

#include <Inventor/SbHeap.h>

  Public Attributes
float(* eval_func )(void *)
int(* get_index_func )(void *)
void(* set_index_func )(void *, int)

Detailed Description

The SbHeapFuncs struct is used to specify functions on heap elements.

Member Data Documentation

  float(* SbHeapFuncs::eval_func) (void *)
The eval_func member is a pointer to a function that should return a weight-value for a heap element. Smaller elements are extracted first from the heap.

  int(* SbHeapFuncs::get_index_func) (void *)
get_index_func is a pointer to a function which should return the element's heap index. If you want to remove an element from the heap (other than the first element), or change the weight for a heap element, you must supply the two index functions. Each element must then store its heap index in its own data structures.

  void(* SbHeapFuncs::set_index_func) (void *, int)
set_index_func is used to set this index value, and will be called whenever the element is moved in the heap.

Author

Generated automatically by Doxygen for Coin from the source code.